module HmacSignature
	module Strategy
		module Headers
			class Request < HmacSignature::Request
				def initialize method, path, params, headers={}
					credentials = HmacSignature::Credentials.from_headers(headers)
					super method, path, params, credentials
				end

				def sign token, expires_in=600
					credentials = super(token, expires_in)
					credentials.to_headers
				end
			end
		end
	end
end